#!/bin/sh

# usage:
# - production:
# ./make.sh
# - for local reading:
# ./make.sh -local

mkdir -p www
rm -rf www/*
cp -pv src/style.css www
cp -pv src/favicon.ico www
cp -pv src/076mute.user.js www
cp -rpv src/images www

cd src

for name in *.html; do
	out=../www/$name
	cat include/header.html $name >> $out

	# 目次以外にはフッターあり
	if [ $name != index.html ]; then
		if [ $1 -a $1 = '-local' ]; then
			sed -e's/href="\.\/"/href=".\/index.html"/' include/footer.html >> $out
		else
			cat include/footer.html >> $out
		fi
	fi

	echo "src/$name -> www/$name"
done

out=../www/publicdomain.html
cat include/header.html include/publicdomain.html > $out
echo '<blockquote cite="https://creativecommons.org/publicdomain/zero/1.0/legalcode.txt"><pre>' >> $out
sed -e's/"/\&quot;/g' -e"s/'/\&#39;/g" ../LICENSE.txt >> $out
echo '</pre></blockquote>' >> $out
echo '<p>以上</p>' >> $out
echo www/publicdomain.html
cd ..
